
Redmine - Defect #8592

Cannot get subversion integrated with redmine (RoutingError)

2011-06-11 10:57 - Volker Kopetzky

Status: Closed Start date: 2011-06-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Hi,

I have setup redmine with subversion like described on several wiki pages here:

- repository is automatically created for new projects (reposman.rb)

- access to subversion via webdav and redmine authorization

- started with a working bitnami stack: Vmware image on ubuntu 10

Problem

When trying to access the subversion repository directly via SVN, I receive a 404 error, and production log shows a routing error:

ActionController::RoutingError (No route matches "/svn/test1" with {:method=>:options}):

config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

When trying to access it via the redmine web uI (clicking on repository in the project menu), I receive a longer error, yet seemingly

also based on the 404 error:

Processing RepositoriesController#show (for 10.9.8.10 at 2011-06-11 08:30:50) [GET]

Parameters: {"action"=>"show", "id"=>"test1", "controller"=>"repositories"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/opt/bitnami/ruby/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/opt/bitnami/ruby/lib/ruby/1.8/rexml/document.rb:227:in `build'

/opt/bitnami/ruby/lib/ruby/1.8/rexml/document.rb:43:in `initialize'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/xml_mini/rexml.rb:17:in `new'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/xml_mini/rexml.rb:17:in `parse'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/xml_mini.rb:12:in `__send__'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/xml_mini.rb:12:in `parse'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:106:in `entries'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:215:in `call'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:215:in `shellout'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:213:in `popen'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:213:in `shellout'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:194:in `shellout'

/opt/bitnami/apps/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:100:in `entries'

/opt/bitnami/apps/redmine/app/models/repository.rb:108:in `entries'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215:in `send'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215:in

`method_missing'

/opt/bitnami/apps/redmine/app/controllers/repositories_controller.rb:94:in `show'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:1333:in `send'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:1333:in `perform_action_without_filters'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/filters.rb:617:in `call_filters'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/bitnami/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/benchmarking.rb:68:in
`perform_action_without_rescue'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/flash.rb:151:in `perform_action'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:532:in `send'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:532:in `process_without_filters'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/filters.rb:606:in `process'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:391:in `process'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/base.rb:386:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/routing/route_set.rb:438:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:87:in `dispatch'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:121:in `_call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:29:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:29:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in

`cache'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:9:in `cache'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:28:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:

in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/string_coercion.rb:25:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rack-1.1.1/lib/rack/head.rb:9:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rack-1.1.1/lib/rack/methodoverride.rb:24:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/params_parser.rb:15:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/session/cookie_store.rb:99:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/failsafe.rb:26:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `synchronize'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `call'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:106:in `call'

/opt/bitnami/apps/redmine/config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:27:in `dispatch'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in `process'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `synchronize'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `process'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in `process_client'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `each'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `process_client'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `initialize'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `new'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `initialize'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `new'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `each'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

/opt/bitnami/ruby/bin/mongrel_rails:19:in `load'

/opt/bitnami/ruby/bin/mongrel_rails:19

...

No close tag for /lists/list

Line:

Position:

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"?>

<lists>

<list

path="http://10.9.8.51/svn/test1">

Rendering template within layouts/base

Rendering common/error (404)

Completed in 994ms (View: 139, DB: 18) | 404 Not Found [http://idevstore.lan/projects/test1/repository]
Version Info

@

root:~# ruby -v

ruby 1.8.7 (2011-02-18 patchlevel 334) [i686-linux]

###

root:~# rails -v

Rails 2.3.11

###

root:/opt/bitnami/apps/redmine# svn --version

svn, version 1.6.15 (r1038135)

compiled May 10 2011, 11:06:54

Copyright (C) 2000-2009 CollabNet.

Subversion is open source software, see http://subversion.apache.org/

This product includes software developed by CollabNet (http://www.Collab.Net/).

The following repository access (RA) modules are available:

ra_neon : Module for accessing a repository via WebDAV protocol using Neon.

- handles 'http' scheme

- handles 'https' scheme

ra_svn : Module for accessing a repository using the svn network protocol.

- with Cyrus SASL authentication

- handles 'svn' scheme

ra_local : Module for accessing a repository on local disk.

- handles 'file' scheme

###

root:~# cd /opt/bitnami/apps/redmine/

root:/opt/bitnami/apps/redmine# rake -v

(in /opt/bitnami/apps/redmine)

/opt/bitnami/ruby/bin/ruby -I"lib:test" "/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"

"test/functional/search_controller_test.rb" "test/functional/settings_controller_test.rb" "test/functional/application_controller_test.rb"

"test/functional/mail_handler_controller_test.rb" "test/functional/previews_controller_test.rb" "test/functional/reports_controller_test.rb"

"test/functional/attachments_controller_test.rb" "test/functional/admin_controller_test.rb" "test/functional/account_controller_test.rb"

"test/functional/repositories_mercurial_controller_test.rb" "test/functional/auto_completes_controller_test.rb"

"test/functional/issue_relations_controller_test.rb" "test/functional/documents_controller_test.rb"

"test/functional/messages_controller_test.rb" "test/functional/issues_controller_test.rb" "test/functional/queries_controller_test.rb"

"test/functional/time_entry_reports_controller_test.rb" "test/functional/wikis_controller_test.rb"

"test/functional/versions_controller_test.rb" "test/functional/activities_controller_test.rb"

"test/functional/repositories_bazaar_controller_test.rb" "test/functional/comments_controller_test.rb"

"test/functional/boards_controller_test.rb" "test/functional/wiki_controller_test.rb" "test/functional/custom_fields_controller_test.rb"

"test/functional/project_enumerations_controller_test.rb" "test/functional/enumerations_controller_test.rb"

"test/functional/issue_statuses_controller_test.rb" "test/functional/trackers_controller_test.rb"

"test/functional/workflows_controller_test.rb" "test/functional/files_controller_test.rb" "test/functional/timelog_controller_test.rb"

"test/functional/repositories_filesystem_controller_test.rb" "test/functional/watchers_controller_test.rb"

"test/functional/news_controller_test.rb" "test/functional/roles_controller_test.rb" "test/functional/my_controller_test.rb"

"test/functional/repositories_cvs_controller_test.rb" "test/functional/calendars_controller_test.rb"

"test/functional/projects_controller_test.rb" "test/functional/issues_controller_transaction_test.rb"

"test/functional/repositories_git_controller_test.rb" "test/functional/repositories_darcs_controller_test.rb"

"test/functional/issue_categories_controller_test.rb" "test/functional/groups_controller_test.rb"

"test/functional/repositories_subversion_controller_test.rb" "test/functional/journals_controller_test.rb"

"test/functional/repositories_controller_test.rb" "test/functional/users_controller_test.rb"

"test/functional/issue_moves_controller_test.rb" "test/functional/gantts_controller_test.rb" "test/functional/sys_controller_test.rb"

"test/functional/context_menus_controller_test.rb" "test/functional/members_controller_test.rb"

"test/functional/welcome_controller_test.rb" "test/functional/auth_sources_controller_test.rb"

Missing these required gems:

shoulda  ~> 2.10.3

2025-04-05 3/5

http://subversion.apache.org/
http://www.Collab.Net/


edavis10-object_daddy

mocha

You're running:

ruby 1.8.7.334 at /opt/bitnami/ruby/bin/ruby

rubygems 1.6.2 at /root/.gem/ruby/1.8, /opt/bitnami/ruby/lib/ruby/gems/1.8

Run `rake gems:install` to install the missing gems.

/opt/bitnami/ruby/bin/ruby -I"lib:test" "/opt/bitnami/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"

"test/integration/issues_test.rb" "test/integration/api_test/time_entries_test.rb"

"test/integration/api_test/http_basic_login_with_api_token_test.rb" "test/integration/api_test/issues_test.rb"

"test/integration/api_test/http_basic_login_test.rb" "test/integration/api_test/token_authentication_test.rb"

"test/integration/api_test/news_test.rb" "test/integration/api_test/disabled_rest_api_test.rb" "test/integration/api_test/users_test.rb"

"test/integration/api_test/projects_test.rb" "test/integration/routing_test.rb" "test/integration/admin_test.rb"

"test/integration/account_test.rb" "test/integration/projects_test.rb" "test/integration/lib/redmine/themes_test.rb"

"test/integration/lib/redmine/menu_manager_test.rb" "test/integration/layout_test.rb" "test/integration/application_test.rb"

Missing these required gems:

shoulda  ~> 2.10.3

edavis10-object_daddy

mocha

You're running:

ruby 1.8.7.334 at /opt/bitnami/ruby/bin/ruby

rubygems 1.6.2 at /root/.gem/ruby/1.8, /opt/bitnami/ruby/lib/ruby/gems/1.8

Run `rake gems:install` to install the missing gems.

Errors running test:units, test:functionals, and test:integration!

###

root:/opt/bitnami/apps/redmine# RAILS_ENV=production ruby script/about

Storing outgoing emails configuration in config/email.yml is deprecated. You should now store it in config/configuration.yml using the

email_delivery setting.

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.6.2

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /opt/bitnami/apps/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Mylyn Connector plugin   2.7.2.stable

@

Additional information

I attached a tar file with all information I thought helpful:

./apacheconf --> apache configuration files

./apachelogs --> apache logs

./apache_ls.txt --> directory listing (ls -al) of the apache directory

./redmineconfig --> redmine conf and config directories

./redminelog --> redmine log files

History

#1 - 2011-06-11 10:58 - Volker Kopetzky

ataching file
#2 - 2011-06-11 11:03 - Volker Kopetzky

- File redmine-svn-infos.tar.gz added

file was to big, omitted locales directory from redmine/config.

#3 - 2011-07-30 23:35 - Robert Ivens

We are seeing essentially the same thing with Redmine 1.2.1 on Mac OS X Server on Apache and Passenger running under Ruby Enterprise 1.8.7.

We see this with a beanstalkapp.com repo and with custom Subversion repository running under apache.

Somehow googlecode.com hosted repo doesn't seem to be affected.

#4 - 2011-07-31 01:18 - Robert Ivens

Found the issue (and solution).

The certs of the hosted repos were not recognised as trusted so it wouldn't load them.

I solved this by running checking out those sites using svn under the www user (under which Redmine runs) and accept the cert.

So, issue solved for me.

#5 - 2011-11-24 04:59 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

This is not a Redmine issue. It shouldn't be filed here as a defect in the first place.

Files

redmine-svn-infos.tar.gz 66.4 KB 2011-06-11 Volker Kopetzky
